# Interface IInformationControlExtension4

All Known Implementing Classes:
  `AbstractInformationControl, DefaultInformationControl`

public interface IInformationControlExtension4
Extension interface for `IInformationControl`. Adds API which allows to set this information control's status field text.

Since:
  3.3
See Also:
  - `IInformationControl`

## Method Summary

Modifier and Type
Method
Description
`void`
`setStatusText(String statusFieldText)`
Sets the text of the status field.

## Method Details

### setStatusText

void setStatusText(String statusFieldText)
Sets the text of the status field.

The implementor can specify whether the new text affects an already visible information control.

Parameters:
  `statusFieldText` - the text to be used in the optional status field or `null` if the status field should be hidden
Since:
  3.2